package com.bytedance.android.livesdk.livesetting.roomfunction;

import X.C2179GVg;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;
import kotlin.h.b.n;

@SettingsKey("live_show_share_effect_params")
public final class ShareEffectShowIntervalSetting {
    @Group(isDefault = true, value = "default group")
    public static final C2179GVg DEFAULT;
    public static final ShareEffectShowIntervalSetting INSTANCE = new ShareEffectShowIntervalSetting();

    public final C2179GVg getValue() {
        C2179GVg gVg = (C2179GVg) SettingsManager.INSTANCE.getValueSafely(ShareEffectShowIntervalSetting.class);
        if (gVg == null) {
            return DEFAULT;
        }
        return gVg;
    }

    static {
        Covode.recordClassIndex(18336);
        C2179GVg gVg = new C2179GVg();
        gVg.LIZ = 1;
        gVg.LIZIZ = 1;
        gVg.LIZJ = false;
        n.LIZIZ(gVg, "");
        DEFAULT = gVg;
    }
}
